- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchUpdate.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchUpdate.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchUpdate.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchUpdate.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchUpdate.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchUpdate.md.txt#body.BatchUpdateProposalsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchUpdate.md.txt#body.aspect)
- [UpdateProposalRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchUpdate.md.txt#UpdateProposalRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchUpdate.md.txt#UpdateProposalRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposals/batchUpdate.md.txt#try-it)

Batch updates `Proposal` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/proposals:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Proposals` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateProposalRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`UpdateProposalRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`UpdateProposalRequest`)`` Required. The `Proposal` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `proposals.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "proposals": [ { object (`Proposal`) } ] } ``` |

| Fields ||
|---|---|
| `proposals[]` | ``object (`Proposal`)`` The `Proposal` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateProposalRequest

Request object for `proposals.patch` method.

| JSON representation |
|---|
| ``` { "proposal": { object (`Proposal`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `proposal` | ``object (`Proposal`)`` Required. The `Proposal` to update. The `Proposal`'s `name` is used to identify the `Proposal` to update. |
| `updateMask` | ``string (`FieldMask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |